Bug 3571 - bind rpm: logrotate script doesn't restart the daemon
bind rpm: logrotate script doesn't restart the daemon
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-18 10:32 EDT by sasha
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-25 08:12:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sasha 1999-06-18 10:32:19 EDT
after named logs rotated, named continues writing to
named_log.1.



/etc/logrotate.d/named should be:

/var/log/named.log {
           /usr/bin/killall -HUP named
}
Comment 1 Jeff Johnson 1999-06-18 11:10:59 EDT
I believe that
	/usr/sbin/ndc restart
might be preferable.
Comment 2 sasha 1999-06-18 11:14:59 EDT
i see.  agreed.  that, or, perhaps, /etc/rc.d/init.d/named restart.
whichever you think is cleaner.
Comment 3 Jeff Johnson 1999-06-25 08:12:59 EDT
I've added named.logrotate in bind-8.2.1. Thanks for the suggestion.

BTW, I did the killall -HUP instead of ndc restart so that the
path to ndc was not wired into the logrotate script.

Note You need to log in before you can comment on or make changes to this bug.